Subject: Re: [manet] manet Digest, Vol 101, Issue 87

From: Srinivas Kanakala <[email-masked]>
Date: Tue, 16 Oct 2012 11:33:16 +0530

visit www.csestudent.com

On Tue, Oct 16, 2012 at 10:47 AM,  <[email-masked]> wrote:
> If you have received this digest without all the individual message
> attachments you will need to update your digest options in your list
> subscription.  To do so, go to
>
> https://www.ietf.org/mailman/listinfo/manet
>
> Click the 'Unsubscribe or edit options' button, log in, and set "Get
> MIME or Plain Text Digests?" to MIME.  You can set this option
> globally for all the list digests you receive at this point.
>
>
>
> Send manet mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.ietf.org/mailman/listinfo/manet
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of manet digest..."
>
>
> Today's Topics:
>
>    1. Re: MANET meeting at IETF85 (JP Vasseur (jvasseur))
>    2. suggestions for further DLEP development (Henderson, Thomas R)
>    3. Re: suggestions for further DLEP development (Charles E. Perkins)
>    4. INTERFERENCE POWER (Pr)
>    5. Re: INTERFERENCE POWER (Henning Rogge)
>
>
> ----------------------------------------------------------------------
>
> Message: 1
> Date: Mon, 15 Oct 2012 19:35:49 +0000
> From: "JP Vasseur (jvasseur)" <[email-masked]>
> To: Henning Rogge <[email-masked]>
> Cc: "<[email-masked]> List" <[email-masked]>
> Subject: Re: [manet] MANET meeting at IETF85
> Message-ID:
>         <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"
>
> Hi Henning,
>
> On Oct 15, 2012, at 8:06 PM, Henning Rogge wrote:
>
>> On Mon, Oct 15, 2012 at 7:58 PM, Abdussalam Baryun
>> <[email-masked]> wrote:
>>>>
>>>> Yep. LOADng is intended for the MANET domain, and is discussed here. It
>>>> also, but not exclusively, is applicable to the special case of a MANET that
>>>> some call an LLN.
>>>
>>> I call thoes: Lossy MANET = LMANET
>>
>> Has there ever been a MANET without lossy links, except for the ones
>> in simulation (NS2, wifi, tworay-ground)?
>>
>
> LLN is a combination of well-known constrained though: lossy links, low bandwidth and constrained nodes.
> This is that unique combination that makes it difficult and that justified forming a new WG at the IETF (ROLL).
> Does that make sense ?
>
> Thanks.
>
> JP.
>
>> Henning Rogge
>> --
>> Steven Hawkings about cosmic inflation: "An increase of billions of
>> billions of percent in a tiny fraction of a second. Of course, that
>> was before the present government."
>> _______________________________________________
>> manet mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/manet
>
>
>
> ------------------------------
>
> Message: 2
> Date: Mon, 15 Oct 2012 17:22:28 -0700
> From: "Henderson, Thomas R" <[email-masked]>
> To: "[email-masked]'" <[email-masked]>
> Subject: [manet] suggestions for further DLEP development
> Message-ID:
>         <[email-masked]>
>
> Content-Type: text/plain; charset="us-ascii"
>
> Hi, I had a chance today to finally read the -03 dlep draft, and catch up on the list traffic since it was published.  I'd like to suggest a few things to try to make better progress.
>
> First, it is very hard to review the list traffic to figure out what has reached either WG consensus or a decision point by the authors.  There are possibly hundreds of messages with the same subject line "Some comments on manet-dlep-03", containing many separate technical threads.  Could people please make an effort in the future to originate a new subject line when the topic forks, and to try to keep topics organized and separated by thread that is clear in the subject line?
>
> It was previously suggested to use the tracker to document these issues and their wrapup/conclusion, an idea that I offer +1 to, but if the WG chooses to not use the tracker, perhaps some kind of informal convention could be adopted such as posting to the list with a clear subject such as "Decision on RFC 5444 issue for DLEP".  I'd also be in favor of recording this in a change log in the draft, for that matter, but I would be happy with just using an issue tracker or summary messages on the list if the authors do not want to use the draft this way.
>
> Regarding the draft itself, it seems to me that there are still many fundamental disagreements or concerns about underspecification of the basic protocol for message exchanges and management of state between the entities.  I'd suggest first that the group try to document/decide basic aspects of the protocol without concern for the finer details of some of the radio-specific parameters.  Such as:
>
> - is DLEP transport independent or not?   If so, what are the anticipated transports?
> - is there a need for a stateful session?
> - is there a need for a per-session identifier?  DLEP-layer node identifiers?  a message sequence number?
> - what are the requirements for reliable message delivery, unreliable message delivery, etc.?
> - how do acknowledgments work?  Are acknowledgments on a per-TLV or per-message basis?
> - who can initiate or terminate a session?
> - RFC 5444 or not?
> - what is the version number; what is the distinction between major and minor numbers?
> - can messages mix optional TLVs with mandatory, reliable TLVs?  Is TLV ordering to be enforced?
> etc.
>
> I'd suggest that the working group focus first on writing down and agreeing upon some requirements and detailed protocol just to cover the session state aspects, such that it would be really hard to come up with implementations that did not interoperate at that level.  Then move on to the radio-specific TLVs and issues there.
>
> This kind of protocol has been done before and (I've suggested this in the past) it may be more efficient to try to reuse/adapt an existing protocol (LCP and X.25 come to mind).  This protocol may seem simple but when one starts to deal with issues such as race conditions, state misalignment (one side reboots and the other side doesn't detect it), notifications of errors to the peer, parameter negotiations, multiple devices on link, etc. one gets into issues that lead to interoperability and robustness problems.
>
> - Tom
>
>
>
>
>
> ------------------------------
>
> Message: 3
> Date: Mon, 15 Oct 2012 18:06:49 -0700
> From: "Charles E. Perkins" <[email-masked]>
> To: "[email-masked]'" <[email-masked]>
> Cc: "Henderson, Thomas R" <[email-masked]>
> Subject: Re: [manet] suggestions for further DLEP development
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=ISO-8859-1; format=flowed
>
>
> Hello folks,
>
> Just one comment...
>
> On 10/15/2012 5:22 PM, Henderson, Thomas R wrote:
>> It was previously suggested to use the tracker to document these issues and their wrapup/conclusion, an idea that I offer +1 to, but if the WG chooses to not use the tracker, perhaps some kind of informal convention could be adopted such as posting to the list with a clear subject such as "Decision on RFC 5444 issue for DLEP".  I'd also be in favor of recording this in a change log in the draft, for that matter, but I would be happy with just using an issue tracker or summary messages on the list if the authors do not want to use the draft this way.
>
> For any draft with contentious issues, I think that the issue tracker
> ought to
> be considered a "must", and the change log is even more of a "must".
>
> It really helps to avoid going around in circles.
>
> I also agree that it is very helpful to use more descriptive "Subject:"
> lines,
> but it is not so easy to remember to do that.
>
> --
> Regards,
> Charlie P.
>
>
>
> ------------------------------
>
> Message: 4
> Date: Tue, 16 Oct 2012 10:19:39 +0530
> From: Pr <[email-masked]>
> To: [email-masked]
> Subject: [manet] INTERFERENCE POWER
> Message-ID:
>         <CAB97Rr+hVir36CWLmtnHgyhp3ppYaCPtT4T9i=[email-masked]>
> Content-Type: text/plain; charset="iso-8859-1"
>
>>
>>   is there any formula to calculate noise
>> power based on transmitter power or receiver
>> power or based on distance between them?
>> I saw a formula in mathworks.in website
>> while generally searcing in google which is:
>> interference power=transmission power-signal power-noise power.
>> Is this a basic formula or derived from any other formula?
>>
> -------------- next part --------------
> An HTML attachment was scrubbed...
> URL: <http://www.ietf.org/mail-archive/web/manet/attachments/20121016/b205fee7/attachment.htm>
>
> ------------------------------
>
> Message: 5
> Date: Tue, 16 Oct 2012 07:17:25 +0200
> From: Henning Rogge <[email-masked]>
> To: <[email-masked]>
> Subject: Re: [manet] INTERFERENCE POWER
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="iso-8859-1"; Format="flowed"
>
> On 10/16/2012 06:49 AM, Pr wrote:
>>    is there any formula to calculate noise
>> power based on transmitter power or receiver
>> power or based on distance between them?
>> I saw a formula in mathworks.in website
>> while generally searcing in google which is:
>> interference power=transmission power-signal power-noise power.
>> Is this a basic formula or derived from any other formula?
>
> I think this highly depends on your model of the radio propagation.
>
> Henning Rogge
>
> --
> Diplom-Informatiker Henning Rogge , Fraunhofer-Institut f?r
> Kommunikation, Informationsverarbeitung und Ergonomie FKIE
> Kommunikationssysteme (KOM)
> Fraunhofer Stra?e 20, 53343 Wachtberg, Germany
> Telefon +49 228 9435-961,   Fax +49 228 9435 685
> mailto:[email-masked] http://www.fkie.fraunhofer.de
>
> -------------- next part --------------
> A non-text attachment was scrubbed...
> Name: smime.p7s
> Type: application/pkcs7-signature
> Size: 6169 bytes
> Desc: S/MIME Cryptographic Signature
> URL: <http://www.ietf.org/mail-archive/web/manet/attachments/20121016/3ae9c483/attachment.p7s>
>
> ------------------------------
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>
>
> End of manet Digest, Vol 101, Issue 87
> **************************************

-- 
Thanking You.

best wishes and regards,

yours sincerely,

Srinivas.Kanakala
Assistant Professor
Department of Computer Science
Vaagdevi College of Engineering

www.vagdevieng.com

Warangal,AndhraPradesh,INDIA-506002

contact no:91-9966343560

All the power is with in u,u can do any thing and every thing